cURL
curl --request PUT \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/connections/{connectionId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"data": {
"apiKey": "<string>"
}
}
'import requests
url = "https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/connections/{connectionId}"
payload = {
"name": "<string>",
"data": { "apiKey": "<string>" }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', data: {apiKey: '<string>'}})
};
fetch('https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/connections/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"app": {
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"public": true,
"server": {
"name": "<string>",
"url": "<string>"
},
"schemaMetadata": {
"type": "<string>",
"version": "<string>",
"url": "<string>"
},
"schema": {
"id": "<string>",
"type": "<string>",
"version": "<string>",
"sourceUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"supportedAuthConfigs": [
{
"type": "<string>",
"isValid": true,
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
}
],
"imageUrl": "<string>",
"schemaId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
},
"credentialId": "<string>",
"authConfig": {
"type": "<string>",
"isValid": true,
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
},
"usedByBoards": [
{
"id": "<string>",
"name": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"extensions": {}
}connections
Put organisations connections
Updates an existing Connection by ID in the current organisation.
PUT
/
organisations
/
{organisationId}
/
connections
/
{connectionId}
cURL
Authorizations
Body
application/json
UpdateConnectionRequest is the payload for updating an existing Connection.
UpdateConnectionRequestBody is the request body to update an existing connection. This will replace the existing connection details.
Response
A single Connection result.
⌘I